It seems python version is not correctly detected and it tries to import python 2's urllib2 module.